"use strict";

const Promise = require("bluebird");
const pipe = require("@ppstreams/pipe");
const collect = require("@ppstreams/collect");
const fromIterable = require("@ppstreams/from-iterable");
const join = require("./");

Promise.try(() => {
	return pipe([
		fromIterable([ 1, 2, 3, 4, 5 ]),
		join(0),
		collect()
	]).read();
}).then((values) => {
	console.log(values); // [ 1, 0, 2, 0, 3, 0, 4, 0, 5 ]
});
